public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Weber" <xmw@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/raspberrypi-image/
Date: Tue, 15 Mar 2016 13:49:59 +0000 (UTC)	[thread overview]
Message-ID: <1458049707.0364dc90bbaee22ab569bc7602527350f829a279.xmw@gentoo> (raw)

commit:     0364dc90bbaee22ab569bc7602527350f829a279
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 15 13:34:09 2016 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Tue Mar 15 13:48:27 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0364dc90

sys-kernel/raspberrypi-image: Version bump.

Package-Manager: portage-2.2.28

 sys-kernel/raspberrypi-image/Manifest              |  1 +
 .../raspberrypi-image-4.1.19_p20160309.ebuild      | 63 ++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/sys-kernel/raspberrypi-image/Manifest b/sys-kernel/raspberrypi-image/Manifest
index bacb97e..9fa4abf 100644
--- a/sys-kernel/raspberrypi-image/Manifest
+++ b/sys-kernel/raspberrypi-image/Manifest
@@ -1 +1,2 @@
 DIST raspberrypi-firmware-1.20160209.tar.gz 114792438 SHA256 ca6a88db72e90ef821b8ca7755bbee9c1d5bdb9a621a45eb029af195d2d29751 SHA512 281092c11d422d821e5e2b0479c3b8f891f8df66cfbf931992902d759c99ed40cbb2d9fada1f944372e5bcd8af69784739e79e9912db3482892b10bf668611f2 WHIRLPOOL 81974a53562ee91544d7a01dc9f4f4173a6e882891f8cf744b700162ddd8f8607b1cfcbbde04cafe2bcea47489f9ea4fd8840adf776e806bef0dba574448e76e
+DIST raspberrypi-firmware-1.20160309.tar.gz 115673896 SHA256 ead0e82b930fdeed9636a6d2d6e07b2512b5f36de3c902da5beaa9328708e181 SHA512 30a6396ef52355c6f6404354645e8d0f5bbf70332b0e1661dfa8ef3456154d07e105d3b7b5bd64efb3e7397fa2fb8c36de1aa78040dc4118060b26949c2ab884 WHIRLPOOL 19a2a28e7dc1403958f12338b5029187bb752f1367f9a46e217b3d91b098960f1cf75efb3610defe3bb2f521559019453cf50a52def3abb9c1ac61419b8ea328

diff --git a/sys-kernel/raspberrypi-image/raspberrypi-image-4.1.19_p20160309.ebuild b/sys-kernel/raspberrypi-image/raspberrypi-image-4.1.19_p20160309.ebuild
new file mode 100644
index 0000000..7301af3
--- /dev/null
+++ b/sys-kernel/raspberrypi-image/raspberrypi-image-4.1.19_p20160309.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit readme.gentoo
+
+DESCRIPTION="Raspberry PI boot loader and firmware"
+HOMEPAGE="https://github.com/raspberrypi/firmware"
+MY_PV="1.20160309"
+SRC_URI="https://github.com/raspberrypi/firmware/archive/${MY_PV} -> raspberrypi-firmware-${MY_PV}.tar.gz"
+
+LICENSE="GPL-2 raspberrypi-videocore-bin"
+SLOT="${PVR}"
+KEYWORDS="~arm -*"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+S=${WORKDIR}/firmware-${MY_PV}
+
+RESTRICT=""
+
+pkg_preinst() {
+	if [ -z "${REPLACING_VERSIONS}" ] ; then
+		local msg=""
+		if [ -e "${D}"/boot/cmdline.txt -a -e "${ROOT}"/boot/cmdline.txt ] ; then
+			msg+="/boot/cmdline.txt "
+		fi
+		if [ -e "${D}"/boot/config.txt -a -e "${ROOT}"/boot/config.txt ] ; then
+			msg+="/boot/config.txt "
+		fi
+		if [ -n "${msg}" ] ; then
+			msg="This package installs following files: ${msg}."
+			msg="${msg} Please remove(backup) your copies during install"
+			msg="${msg} and merge settings afterwards."
+			msg="${msg} Further updates will be CONFIG_PROTECTed."
+			die "${msg}"
+		fi
+	fi
+
+	if ! grep "${ROOT}boot" /proc/mounts >/dev/null 2>&1; then
+		ewarn "${ROOT}boot is not mounted, the files might not be installed at the right place"
+	fi
+}
+
+src_configure() { :; }
+
+src_compile() { :; }
+
+src_install() {
+	insinto /lib/modules
+	doins -r modules/*
+	insinto /boot
+	newins boot/kernel.img kernel-${PV}.img
+	newins boot/kernel7.img kernel7-${PV}.img
+
+	readme.gentoo_create_doc
+}
+
+DOC_CONTENTS="Please configure your ram setup by editing /boot/config.txt"


             reply	other threads:[~2016-03-15 13:50 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-03-15 13:49 Michael Weber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-03 17:22 [gentoo-commits] repo/gentoo:master commit in: sys-kernel/raspberrypi-image/ Viorel Munteanu
2024-08-13 14:57 Arthur Zamarin
2024-08-13 14:57 Arthur Zamarin
2024-07-12 16:57 Viorel Munteanu
2024-06-17 12:57 Arthur Zamarin
2024-05-16 17:17 Viorel Munteanu
2024-04-20  3:20 Sam James
2023-06-07 16:39 Sam James
2022-07-30  2:22 Sam James
2022-04-09 19:39 Arthur Zamarin
2022-04-09 19:31 Arthur Zamarin
2021-11-21  8:21 Sam James
2021-06-21 22:36 Sam James
2021-02-14  3:23 Sam James
2020-12-29 23:47 Sam James
2020-12-15  3:06 Sam James
2020-11-23  4:41 Sam James
2020-10-13 22:39 Sam James
2020-10-13 22:39 Sam James
2020-07-28  0:10 Sam James
2019-12-03 13:34 Andrey Utkin
2019-12-03 13:34 Andrey Utkin
2019-07-15 20:31 Andrey Utkin
2019-07-15 20:31 Andrey Utkin
2019-07-05 21:38 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2017-10-15  9:21 Michael Palimaka
2016-03-15 13:49 Michael Weber
2016-02-20 12:07 Michael Weber
2016-02-20  9:11 Patrick Lauer
2016-02-19 22:48 Michael Weber
2016-02-19 22:48 Michael Weber
2016-02-11 12:58 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1458049707.0364dc90bbaee22ab569bc7602527350f829a279.xmw@gentoo \
    --to=xmw@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox